# RemotePortForwarder.Forward (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.connection.channel.forwarded
Class RemotePortForwarder.Forward

    java.lang.Object
      net.schmizz.sshj.connection.channel.forwarded.RemotePortForwarder.Forward

Enclosing class:
  RemotePortForwarder

    public static final class RemotePortForwarder.Forward

extends Object

Represents a particular forwarding. From RFC 4254, s. 7.1

        The 'address to bind' and 'port number to bind' specify the IP
        address (or domain name) and port on which connections for forwarding
        are to be accepted.  Some strings used for 'address to bind' have
        special-case semantics.

        o  "" means that connections are to be accepted on all protocol
           families supported by the SSH implementation.

        o  "0.0.0.0" means to listen on all IPv4 addresses.

        o  "::" means to listen on all IPv6 addresses.

        o  "localhost" means to listen on all protocol families supported by
           the SSH implementation on loopback addresses only ([RFC3330] and
           [RFC3513]).

        o  "127.0.0.1" and "::1" indicate listening on the loopback
           interfaces for IPv4 and IPv6, respectively.

Constructor Summary
`RemotePortForwarder.Forward(int port)` Creates this forward with address as `""` and specified `port`.
`RemotePortForwarder.Forward(String address)` Creates this forward with specified `address` and port as `0`.
`RemotePortForwarder.Forward(String address, int port)` Creates this forward with specified `address` and `port` number.

Method Summary
`boolean` `equals(Object obj)`
`String` `getAddress()`
`int` `getPort()`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemotePortForwarder.Forward

    public RemotePortForwarder.Forward(int port)

  Creates this forward with address as `""` and specified `port`.

  Parameters:
    `port` -

### RemotePortForwarder.Forward

    public RemotePortForwarder.Forward(String address)

  Creates this forward with specified `address` and port as `0`.

  Parameters:
    `address` -

### RemotePortForwarder.Forward

    public RemotePortForwarder.Forward(String address,
                                       int port)

  Creates this forward with specified `address` and `port` number.

  Parameters:
    `address` - address to bind
    `port` - port number

Method Detail

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getAddress

    public String getAddress()

  Returns:
    the address represented by this forward.

### getPort

    public int getPort()

  Returns:
    the port represented by this forward.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009-2011. All Rights Reserved.